# Generated by Django 3.0.3 on 2020-03-02 15:59

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('kategori', '__first__'),
    ]

    operations = [
        migrations.CreateModel(
            name='Barang',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nama', models.CharField(max_length=80)),
                ('harga', models.DecimalField(decimal_places=3, max_digits=30)),
                ('stok', models.PositiveSmallIntegerField()),
                ('deskripsi', models.TextField()),
                ('gambar', models.URLField(default='https://media.swansonvitamins.com/images/items/master/SW1371.jpg')),
                ('kategori', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='kategori', to='kategori.Kategori')),
            ],
        ),
    ]
